Subject: bug#14547: closed (Re: bug#14547: 24.3.1; line-break with pixel specification and word-wrap)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 31 Jan 2022 12:49:02 +0000

Your bug report

#14547: 24.3.1; line-break with pixel specification and word-wrap

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14547: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14547
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14547: 24.3.1; line-break with pixel specification and word-wrap
From: Eli Zaretskii <[email-masked]>
To: Stephen Berman <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Mon, 31 Jan 2022 14:47:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Stephen Berman <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  E Sabof
>  <[email-masked]>
> Date: Mon, 31 Jan 2022 10:06:14 +0100
> 
> On Sun, 30 Jan 2022 22:43:14 +0100 Lars Ingebrigtsen <[email-masked]> wrote:
> 
> > Stephen Berman <[email-masked]> writes:
> >
> >>>> If one executes the following in a graphical frame, the line will break:
> >>>>
> >>>> (insert (propertize
> >>>>            "\n"
> >>>>            'display `(space :align-to (- right))
> >>>>            'face '(:underline t))
> >>>>           "\n")
> >>>>
> >>>> (toggle-word-wrap 1)
> >
> > [...]
> >
> >> I think it's a manifestation of bug#2749, because I see no line break
> >> with this recipe in Emacs built with my patch enabling
> >> overflow-newline-into-fringe in visual-line-mode.
> >
> > (I'm going through old bug reports that unfortunately weren't resolved
> > at the time.)
> >
> > bug#2749 was fixed a few weeks later, so does that mean that the problem
> > discussed here also was fixed?
> 
> I think so.
> 
> >                                 (I must admit I didn't understand what
> > the reproducing code here is supposed to demonstrate.)
> 
> Based on the descriptions and discussion in bug#2749, I think the above
> code used to display an empty line between the parts of the line
> separated by the display property.  It doesn't now, presumably since the
> fix for bug#2749, which allows the newline to be in the fringe.

Yes, and I'm therefore closing this bug.

Subject: 24.3.1; line-break with pixel specification and word-wrap
From: E Sabof <[email-masked]>
To: [email-masked]
Date: Mon, 3 Jun 2013 14:21:00 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

If one executes the following in a graphical frame, the line will break:

(insert (propertize
           "\n"
           'display `(space :align-to (- right))
           'face '(:underline t))
          "\n")

(toggle-word-wrap 1)

If one makes the line one pixel shorter, it will work fine.

(insert (propertize
           "\n"
           'display `(space :align-to (- right (1)))
           'face '(:underline t))
          "\n")

(toggle-word-wrap 1)

Evgeni